--# -path=.:../scandinavian:../abstract:../../prelude

concrete TestResourceDan of TestResource = RulesDan, ClauseDan, StructuralDan ** 
  open Prelude, MorphoDan, SyntaxDan in {

flags startcat=Phr ; lexer=text ; unlexer=text ;

  optimize=values ;

-- a random sample from the lexicon

lin
  Big = mkAdjective "stor" "stort" "store" "strre" "strst" ;
  Small = mkAdjective "lille" "lille" "sm" "mindre" "mindst" ;
  Old = mkAdjective "gammel" "gammelt" "gamle" "ldre" "ldst" ;
  Young = mkAdjective "ung" "ungt" "unge" "yngre" "yngst" ;
  American = extAdjective (aRod "amerikansk") ;
  Finnish = extAdjective (aRod "finsk") ;
  Happy = aRod "lykkelig" ;
  Married = extAdjective (aAbstrakt "gift") ** {s2 = "med"} ;
  Man = extCommNoun (mkSubstantive "mand" "manden" "mnd" "mnden" ** {h1 = Utr}) ;
  Bar = extCommNoun (nBil "bar") ; ---- ?
  Bottle = extCommNoun (nUge "flaske") ;
  Woman = extCommNoun (nUge "kvinde") ;
  Car = extCommNoun (nBil "bil") ;
  House = extCommNoun (nHus "hus") ;
  Light = extCommNoun (nHus "lys") ;
  Wine = extCommNoun (nHus "vin") ; ---- ?
  Walk = mkVerb "g" "gr" "gs" "gik" "get" "g" ** {s1 = []} ; 
  Run = mkVerb "springe" "springer" "springes" "sprang" "sprunget" "spring" ** {s1 = []} ; 
  Drink = extTransVerb (mkVerb "drikke" "drikker" "drikkes" "drak" "drukket" "drikk" ** {s1 = []}) [] ;
  Love = extTransVerb (vNopart (vHusk "lsk")) [] ;
  Send = extTransVerb (vNopart (vSpis "send")) [] ; ---- ?
  Wait = extTransVerb (vNopart (vSpis "vent")) "p" ;
  Give = extTransVerb (vNopart (mkVerb "give" "giver" "gives" "gav" "givet" "giv")) [] ** {s3 = "til"} ;
  Prefer = extTransVerb (vNopart (vSpis "foretrkk")) [] ** {s3 = "for"} ;

  Say = vNopart (mkVerb "sige" "siger" "siges" "sagde" "sagt" "sig") ;
  Prove = vNopart (vSpis "bevis") ;
  SwitchOn = mkDirectVerb (vHusk "lukk" ** {s1 = "op"}) ;
  SwitchOff = mkDirectVerb (vHusk "slukk" ** {s1 = []}) ;

  Mother = mkFun (extCommNoun (mkSubstantive "moder" "moderen" "mdre"
  "mdrene" ** {h1 = Utr})) "til" ; ---- ?
  Uncle = mkFun (extCommNoun (mkSubstantive "onkel" "onkelen" "onkler" "onklene" ** {h1 = Utr})) "til" ; ---- ? 
  Connection = mkFun (extCommNoun (nUge "forbindelse")) "fra" ** {s3 = "til"} ;

  Always = advPre "altid" ;
  Well = advPost "godt" ;

  John = mkProperName "Johan" NUtr ;
  Mary = mkProperName "Maria" NUtr ;

--- next
   AlreadyAdv = advPre "allerede" ;
   NowAdv = advPre "nu" ;

   Paint = extTransVerb (vNopart (vHusk "ml")) [] ;
   Green = mkAdjective "grn" "grnt" "grne" "grnnere" "grnnest" ;

   Beg = extTransVerb (mkVerb "bede" "beder" "bedes" "bad" "bedt" "bed") [] ** {s3 = "at"} ;
   Promise = extTransVerb (vNopart (vSpis "lov")) [] ** {s3 = "att"} ;
   Wonder = extTransVerb (vNopart (vHusk "undr")) [] ;
   Ask = extTransVerb (mkVerb "sprge" "sprger""sprges""spurgte""spurgt""sprg") [] ;
   Tell = extTransVerb (mkVerb "fortlle" "fortller" "fortlles"
   "fortalte" "fortalt" "fortll") [] ;
   Look = extTransVerb (mkVerb "se" "ser" "ses" "s" "set" "sedd") []
   ; ---- ut

   Try = extTransVerb (vNopart (vSpis "forsg")) [] ** {isAux = False} ;
   Important = extAdjective (aAbstrakt "viktig") ** {s2 = "for"} ;
   Probable = extAdjective (aAbstrakt "sandsynlig") ;
   Easy = extAdjective (aRod "let") ** {s2 = "for"} ;
   Rain = extTransVerb (vNopart (vHusk "regn")) [] ;

} ;
