--# -path=.:../romance:../abstract:../../prelude
--# -val

concrete BasicFre of Basic = CategoriesFre ** open ParadigmsFre, VerbsFre in {

flags 
  startcat=Phr ; lexer=textlit ; unlexer=text ;
  optimize=values ;

lin
  airplane_N = regN "avion" masculine ;
  answer_V2S = mkV2S (v2V rpondre_V2) dative ;
  apartment_N = regN "apartement" masculine ;
  apple_N = regN "pomme" feminine ;
  art_N = regN "art" feminine ;
  ask_V2Q = mkV2Q (regV "demander") dative ;
  baby_N = regN "bb" masculine ;
  bad_ADeg = prefADeg (mkADeg (regA "mauvais") (regA "pire")) ;
  bank_N = regN "banque" feminine ;
  beautiful_ADeg = prefADeg (regADeg "joli") ; ---- beau
  become_VA = mkVA devenir_V ;
  beer_N = regN "bire" feminine ;
  beg_V2V = mkV2V (regV "demander") accusative dative ;
  big_ADeg = prefADeg (regADeg "grand") ;
  bike_N = regN "vlo" masculine ;
  bird_N = regN "oiseau" masculine ;
  black_ADeg = regADeg "noir" ;
  blue_ADeg = regADeg "bleu" ;
  boat_N = regN "bateau" masculine ;
  book_N = regN "livre" masculine ;
  boot_N = regN "botte" feminine ;
  boss_N = regN "chef" masculine ;
  boy_N = regN "garon" masculine ;
  bread_N = regN "pain" masculine ;
  break_V2 = dirV2 (regV "casser") ;
  broad_ADeg = regADeg "large" ;
  brother_N2 = deN2 (regN "frre" masculine) ;
  brown_ADeg = regADeg "brun" ;
  butter_N = regN "beurre" masculine ;
  buy_V2 = dirV2 (reg3V "acheter" "achte" "achtera") ;
  camera_N = compN (regN "appareil" masculine) ["de photo"] ;
  cap_N = regN "casquette" feminine ;
  car_N = regN "voiture" feminine ;
  carpet_N = regN "tapis" masculine ;
  cat_N = regN "chat" masculine ;
  ceiling_N = regN "plafond" masculine ;
  chair_N = regN "chaise" feminine ;
  cheese_N = regN "fromage" masculine ;
  child_N = regN "enfant" masculine ;
  church_N = regN "glise" feminine ;
  city_N = regN "ville" feminine ;
  clean_ADeg = regADeg "propre" ;
  clever_ADeg = regADeg "sage" ; ----
  close_V2 = dirV2 (regV "fermer") ;
  coat_N = regN "manteau" masculine ;
  cold_ADeg = regADeg "froid" ;
  come_V = venir_V ;
  computer_N = regN "ordinateur"  masculine ;
  country_N = regN "pays" masculine ;
  cousin_N = regN "cousin" masculine ; ---- cousine
  cow_N = regN "vache" feminine ;
  die_V = mourir_V ;
  dirty_ADeg = regADeg "sale" ;
  distance_N3 = mkN3 (regN "distance" feminine) genitive dative ;
  doctor_N = regN "mdecin" masculine ;
  dog_N = regN "chien" masculine ;
  door_N = regN "porte" feminine ;
  drink_V2 = boire_V2 ;
  easy_A2V = mkA2V (regA "facile") dative genitive ;
  eat_V2 = dirV2 (regV "manger") ;
  empty_ADeg = regADeg "vide" ;
  enemy_N = regN "ennemi" masculine ;
  factory_N = regN "usine" feminine ;
  father_N2 = deN2 (regN "pre" masculine) ;
  fear_VS = mkVS (v2V craindre_V2) ;
  find_V2 = dirV2 (regV "trouver") ;
  fish_N = regN "poisson" masculine ;
  floor_N = regN "plancher" masculine ;
  forget_V2 = dirV2 (regV "oublier") ;
  fridge_N = regN "frigo" masculine ;
  friend_N = regN "ami" masculine ;
  fruit_N = regN "fruit" masculine ;
  fun_AV = mkAV (regA "marrant") genitive ;
  garden_N = regN "jardin" masculine ;
  girl_N = regN "fille" feminine ;
  glove_N = regN "gant" masculine ;
  gold_N = regN "or" masculine ;
  good_ADeg = prefADeg (mkADeg (mkA "bon" "bonne" "bons" "bien") 
    (mkA "meilleur" "meilleure" "meilleurs" "mieux")) ;
  go_V = aller_V ;
  green_ADeg = regADeg "vert" ;
  harbour_N = regN "port" masculine ;
  hate_V2 = har_V2 ;
  hat_N = regN "chapeau" masculine ;
  have_V2 = avoir_V2 ;
  hear_V2 = entendre_V2 ;
  hill_N = regN "colline" feminine ;
  hope_VS = mkVS (reg3V "esprer" "espre" "esprera") ;
  horse_N = regN "cheval" masculine ;
  hot_ADeg = regADeg "chaud" ;
  house_N = regN "maison" feminine ;
  important_ADeg = regADeg "important" ;
  industry_N = regN "industrie" feminine ;
  iron_N = regN "fer" masculine ;
  king_N = regN "roi" masculine ;
  know_V2 = connatre_V2 ; ---- savoir_V2 : VS
  lake_N = regN "lac" masculine ;
  lamp_N = regN "lampe" feminine ;
  learn_V2 = apprendre_V2 ;
  leather_N = regN "cuir" masculine ;
  leave_V2 = dirV2 (regV "quitter") ;
  like_V2 = dirV2 (regV "aimer") ;
  listen_V2 = dirV2 (regV "couter") ;
  live_V = v2V vivre_V2 ;
  long_ADeg = compADeg (mkA "long" "longue" "longs" "longuement") ;
  lose_V2 = perdre_V2 ;
  love_N = regN "amour" masculine ;
  love_V2 = dirV2 (regV "aimer") ;
  man_N = regN "homme" masculine ;
  married_A2 = mkA2 (regA "mari") dative ;
  meat_N = regN "viande" feminine ;
  milk_N = regN "lait" masculine ;
  moon_N = regN "lune" feminine ;
  mother_N2 = deN2 (regN "mre" feminine) ;
  mountain_N = regN "montagne" feminine ;
  music_N = regN "musique" feminine ;
  narrow_ADeg = regADeg "troit" ;
  new_ADeg = prefADeg (compADeg (mkA "nouveau" "nouvelle" "nouveaux" "nouvellement")) ;
  newspaper_N = regN "journal" masculine ;
  oil_N = regN "huile" feminine ;
  old_ADeg = 
    prefADeg (compADeg (mkA "vieux" "vieille" "vieux" "vieillement")) ; ---- vieil
  open_V2 = ouvrir_V2 ;
  paint_V2A = mkV2A (v2V peindre_V2) accusative ;
  paper_N = regN "papier" masculine ;
  peace_N = regN "paix" feminine ;
  pen_N = regN "stylo" masculine ;
  planet_N = regN "plante" feminine ;
  plastic_N = regN "plastic" masculine ;
  play_V2 = dirV2 (regV "jouer") ;
  policeman_N = regN "policier" masculine ;
  priest_N = regN "prtre" masculine ;
  probable_AS = mkAS (regA "probable") ;
  queen_N = regN "reine" feminine ;
  radio_N = regN "radio" feminine ;
  rain_V0 = mkV0 (pleuvoir_V) ;
  read_V2 = lire_V2 ;
  red_ADeg = regADeg "rouge" ;
  religion_N = regN "religion" feminine ;
  restaurant_N = regN "restaurant" masculine ;
  river_N = regN "rivire" feminine ;
  rock_N = regN "rocher" masculine ;
  roof_N = regN "toit" masculine ;
  rubber_N = regN "caoutchuc" masculine ;
  run_V = v2V courir_V2 ;
  say_VS = mkVS (v2V dire_V2) ;
  school_N = regN "cole" feminine ;
  science_N = regN "science" feminine ;
  sea_N = regN "mer" feminine ;
  seek_V2 = dirV2 (regV "chercher") ;
  see_V2 = voir_V2 ;
  sell_V3 = dirV3 (v2V vendre_V2) dative ;
  send_V3 = dirV3 (v2V envoyer_V2) dative ;
  sheep_N = regN "mouton" masculine ;
  ship_N = regN "bateau" masculine ;
  shirt_N = regN "chemise" feminine ;
  shoe_N = regN "chaussure" feminine ;
  shop_N = regN "magasin" masculine ;
  short_ADeg = regADeg "court" ; ---- bref
  silver_N = regN "argent" masculine ;
  sister_N = regN "soeur" feminine ;
  sleep_V = v2V dormir_V2 ;
  small_ADeg = prefADeg (regADeg "petit") ;
  snake_N = regN "serpent" masculine ;
  sock_N = regN "chaussette" feminine ;
  speak_V2 = dirV2 (regV "parler") ;
  star_N = regN "toile" feminine ;
  steel_N = regN "acier" masculine ;
  stone_N = regN "pierre" feminine ;
  stove_N = regN "four" masculine ;
  student_N = regN "tudiant" masculine ;
  stupid_ADeg = regADeg "stupide" ;
  sun_N = regN "soleil" masculine ;
  switch8off_V2 = teindre_V2 ;
  switch8on_V2 = dirV2 (regV "allumer") ; ----
  table_N = regN "table" feminine ;
  talk_V3 = mkV3 (regV "parler") dative genitive ;
  teacher_N = regN "professeur" masculine ;
  teach_V2 = dirV2 (regV "enseigner") ;
  television_N = regN "tlvision" feminine ;
  thick_ADeg = compADeg (mkA "pais" "paisse" "pais" "paissement") ;
  thin_ADeg = regADeg "fin" ;
  train_N = regN "train" masculine ;
  travel_V = regV "voyager" ;
  tree_N = regN "arbre" masculine ;
 ---- trousers_N = regN "pantalon" masculine ;
  ugly_ADeg = regADeg "laide" ;
  understand_V2 = comprendre_V2 ;
  university_N = regN "universit" feminine ;
  village_N = regN "village" masculine ;
  wait_V2 = attendre_V2 ; ---- dative?
  walk_V = regV "marcher" ;
  warm_ADeg = regADeg "chaud" ;
  war_N = regN "guerre" masculine ;
  watch_V2 = dirV2 (regV "regarder") ;
  water_N = regN "eau" feminine ;
  white_ADeg = compADeg (mkA "blanc" "blanche" "blancs" "blanchement") ;
  window_N = regN "fentre" feminine ;
  wine_N = regN "vin" masculine ;
  win_V2 = dirV2 (regV "gagner") ; ---- vaincre
  woman_N = regN "femme" feminine ;
  wonder_VQ = mkVQ (regV "tonner") ; ----- s'tonner
  wood_N = regN "bois" masculine ;
  write_V2 = crire_V2 ;
  yellow_ADeg = regADeg "jaune" ;
  young_ADeg = prefADeg (regADeg "jeune") ;

  do_V2 = faire_V2 ;
  now_Adv = mkAdv "maintenant" ;
  already_Adv = mkAdv "dj" ;
  song_N = regN "chanson" feminine ;
  add_V3 = dirV3 (regV "ajouter") dative ;
  number_N = regN "nombre" masculine ; ---- numro
  put_V2 = mettre_V2 ;
  stop_V = regV "arrter" ; ---- s'arrter
  jump_V = regV "sauter" ;
  here_Adv = mkAdv "ici" ;
  here7to_Adv = mkAdv "ici" ;
  here7from_Adv = mkAdv ["d'ici"] ;
  there_Adv = mkAdv "l" ; ---- y, l-bas
  there7to_Adv = mkAdv "l" ; --- y
  there7from_Adv = mkAdv ["de l"] ; ---- en
} ;
