--# -path=.:../scandinavian:../abstract:../../prelude

concrete TestResourceSwe of TestResource = 
RulesSwe, 
ClauseSwe,
StructuralSwe 
** 
  open Prelude, MorphoSwe, SyntaxSwe in {

flags startcat=Phr ; lexer=text ; unlexer=text ;

-- a random sample from the lexicon

lin
  Big = stor_25 ;
  Small = liten_1146 ;
  Old = gammal_16 ;
  Young = ung_29 ;
  American = extAdjective (aFin "amerikansk") ;
  Finnish = extAdjective (aFin "finsk") ;
  Happy = aFin "lycklig" ;
  Married = extAdjective (aAbstrakt "gift") ** {s2 = "med"} ;
  Man = extCommNoun man_1144 ;
  Bar = extCommNoun (sSak "bar") ;
  Bottle = extCommNoun (sApa "flask") ;
  Woman = extCommNoun (sApa "kvinn") ;
  Car = extCommNoun (sBil "bil") ;
  House = extCommNoun (sHus "hus") ;
  Light = extCommNoun (sHus "ljus") ;
  Wine = extCommNoun (sParti "vin") ;
  Walk = vNopart (mkVerb "g" "gr" "g" "gick" "gtt" "gngen") ;
  Run = vNopart (vFinna "spring" "sprang" "sprung") ;
  Drink = extTransVerb (vFinna "drick" "drack" "druck") [] ;
  Love = extTransVerb (vNopart (vTala "lsk")) [] ;
  Send = extTransVerb (vNopart (vTala "skick")) [] ;
  Wait = extTransVerb (vNopart (vTala "vnt")) "p" ;
  Give = extTransVerb (vNopart (mkVerb "ge" "ger" "ge" "gav" "givit" "given")) [] ** {s3 = "till"} ;
  Prefer = extTransVerb (vNopart (vFinna "fredrag" "fredrog" "fredrag")) [] ** 
           {s3 = "framfr"} ; --- fredra

  Say = vNopart (mkVerb "sga" "sger" "sg" "sade" "sagt" "sagd") ;
  Prove = vNopart (vTala "bevis") ;
  SwitchOn = mkDirectVerb (vFinna "stt" "satte" "satt" ** {s1 = "p"}) ;
  SwitchOff = mkDirectVerb (vLeka "stng" ** {s1 = "av"}) ;

  Mother = mkFun (extCommNoun mor_1) "till" ;
  Uncle = mkFun (extCommNoun farbror_8) "till" ;
  Connection = mkFun (extCommNoun (sVarelse "frbindelse")) "frn" ** 
               {s3 = "till"} ;

  Always = advPre "alltid" ;
  Well = advPost "bra" ;

  John = mkProperName "Johan" (NUtr Masc) ;
  Mary = mkProperName "Maria" (NUtr NoMasc) ;

--- next
   AlreadyAdv = advPre "redan" ;
   NowAdv = advPre "nu" ;

   Paint = extTransVerb (vNopart (vTala "ml")) [] ;
   Green = aFin "grn" ;
   Beg = extTransVerb (mkVerbPart "be" "ber" "be" "bad" "bett" "bedd" []) [] ** {s3 = "att"} ;
   Promise = extTransVerb (vNopart (vTala "lov")) [] ** {s3 = "att"} ;
   Wonder = extTransVerb (vNopart (vTala "undr")) [] ;
   Ask = extTransVerb (vNopart (vTala "frg")) [] ;
   Tell = extTransVerb (vNopart (vTala "bertt")) [] ;
   Look = extTransVerb (mkVerbPart "se" "ser" "se" "sg" "sett" "sedd" "ut") [] ;

   Try = extTransVerb (vNopart (vLeka "frsk")) [] ** {isAux=False} ;
   Important = extAdjective (aFin "viktig") ** {s2 = "fr"} ;
   Probable = extAdjective (aFin "sannolik") ;
   Easy = extAdjective (aAbstrakt "ltt") ** {s2 = "fr"} ;
   Rain = extTransVerb (vNopart (vTala "regn")) [] ;


} ;
